summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTiziano Mueller <dev-zero@gentoo.org>2009-11-22 00:35:52 +0100
committerTiziano Mueller <dev-zero@gentoo.org>2009-11-22 00:35:52 +0100
commitb091806d4eb2222effa111bfaa4bdd99da392627 (patch)
tree9a8143b6d0b65a55cb91652e16289de1f367002c /dev-cpp
parentAdded the push-module upstream url to HOMEPAGE. (diff)
downloaddev-zero-b091806d4eb2222effa111bfaa4bdd99da392627.tar.gz
dev-zero-b091806d4eb2222effa111bfaa4bdd99da392627.tar.bz2
dev-zero-b091806d4eb2222effa111bfaa4bdd99da392627.zip
Added ebuild for jaula.
Diffstat (limited to 'dev-cpp')
-rw-r--r--dev-cpp/jaula/Manifest3
-rw-r--r--dev-cpp/jaula/files/1.4.0-missing_includes.patch11
-rw-r--r--dev-cpp/jaula/jaula-1.4.0.ebuild64
3 files changed, 78 insertions, 0 deletions
diff --git a/dev-cpp/jaula/Manifest b/dev-cpp/jaula/Manifest
new file mode 100644
index 0000000..27a25e9
--- /dev/null
+++ b/dev-cpp/jaula/Manifest
@@ -0,0 +1,3 @@
+AUX 1.4.0-missing_includes.patch 386 RMD160 1f9ccd3d84df85a10ab03ebe91bdcf8552ebaf1b SHA1 5363762387bcbb938967c191011ca0b8eee9307e SHA256 089c505fe80f53fa8c651fcf3e003fe796b7880b26b8f3cb5c749dcca208dc7f
+EBUILD jaula-1.4.0.ebuild 1333 RMD160 6417fc8ebd60c527b8df5ac8679c97fb2cf2d8a0 SHA1 7af8a8b4e0cba980b7e02ec7576ba6f6c0f74b2d SHA256 56450fd94bc445428d3cbc534730b9d1f1a2abb6ad8d8a014d0ad381f41be0be
+DIST jaula-1.4.0.tar.bz2 333324 RMD160 e08bddbe38706e69221e2b6c044d77b9e8754752 SHA1 726bf01a18971aaa27c5a9e54f8b31580e92c85e SHA256 b041e40cd58ae77d1db8fccc25a32c3b55097fe93941c0cf1973f60c28586709
diff --git a/dev-cpp/jaula/files/1.4.0-missing_includes.patch b/dev-cpp/jaula/files/1.4.0-missing_includes.patch
new file mode 100644
index 0000000..dd74403
--- /dev/null
+++ b/dev-cpp/jaula/files/1.4.0-missing_includes.patch
@@ -0,0 +1,11 @@
+diff -Naur jaula-1.4.0.orig/jaula/jaula_lexan.h jaula-1.4.0/jaula/jaula_lexan.h
+--- jaula-1.4.0.orig/jaula/jaula_lexan.h 2009-11-21 17:23:45.575825473 +0100
++++ jaula-1.4.0/jaula/jaula_lexan.h 2009-11-21 17:24:07.819279539 +0100
+@@ -66,6 +66,7 @@
+ #endif
+
+ #include <jaula/jaula_lexan_error.h>
++#include <cstdio>
+
+ namespace JAULA
+ { // namespace JAULA
diff --git a/dev-cpp/jaula/jaula-1.4.0.ebuild b/dev-cpp/jaula/jaula-1.4.0.ebuild
new file mode 100644
index 0000000..91f1838
--- /dev/null
+++ b/dev-cpp/jaula/jaula-1.4.0.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2009 Tiziano Müller
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI="2"
+
+inherit eutils
+
+DESCRIPTION="C++ library for parsing and generating JSON formatted data."
+HOMEPAGE="http://sourceforge.net/projects/jaula/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="debug doc examples static-libs"
+
+RDEPEND=""
+DEPEND="${RDEPEND}
+ sys-devel/flex
+ doc? ( app-doc/doxygen )"
+
+src_prepare() {
+ epatch \
+ "${FILESDIR}/${PV}-missing_includes.patch"
+ # strip doc subdir since Makefile broken
+ sed -i -e 's|doc jaula|jaula|' configure || die "sed failed"
+ sed -i \
+ -e 's|^\(GENERATE_LATEX\).*|\1 = NO|' \
+ -e 's|^\(GENERATE_RTF\).*|\1 = NO|' \
+ doc/Doxyfile.in || die "sed failed"
+}
+
+src_configure() {
+ econf \
+ $(use_enable debug extended-debug) \
+ $(use_enable static-libs static)
+}
+
+src_compile() {
+ default
+
+ if use doc ; then
+ cd doc/
+ doxygen || die "generating docs failed"
+ fi
+}
+
+src_install() {
+ emake DESTDIR="${D}" install || die "emake install failed"
+ dodoc AUTHORS ChangeLog NEWS README TODO.lst
+
+ use static-libs || rm "${D}"/usr/lib*/*.la
+ rm -rf "${D}/usr/share/doc/jaula"
+
+ use doc && dohtml -r doc/html/*
+
+ if use examples ; then
+ insinto /usr/share/doc/${PF}/examples
+ doins examples/*.{json,cc}
+ fi
+}
+
+